using System;
using Minesweeper.Config;

namespace Minesweeper.Presentation.Views
{
    public sealed class NullTopPanelView : ITopPanelView
    {
        public event Action SmileClicked
        {
            add { }
            remove { }
        }

        public void SetActive(bool active)
        {
        }

        public void SetRemainingMines(int remainingMines)
        {
        }

        public void SetTimer(float seconds)
        {
        }

        public void SetSmile(SmileFaceState state)
        {
        }
    }
}
